/*****************************/
/* Inside The Machine - MKS  */
/*****************************/

//Includes
#include "Engine.h"

  
//Classe du moteur de jeu
CEngine::CEngine()
{
	//Initialsation de variables
	IsFat = false;
	IsRunning = true;
	IsPaused = false;
	currentState = 0;
}

void CEngine::Run()
{
   
}
	         
void CEngine::Pause()
{
   IsPaused = !IsPaused;
   
}
	        
void CEngine::Stop()
{
   IsRunning = false;
}
	     
int CEngine::getStatus()
{
   //Test d'état
	if(IsRunning == false)
		return -1;
	else if(IsPaused == true)
		return 0;
	else if(IsRunning == true)
		return 1;
} 
